Bug 610071 - latest candlepin build fails
Summary: latest candlepin build fails
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Candlepin
Classification: Community
Component: candlepin   
(Show other bugs)
Version: 0.5
Hardware: All
OS: Linux
high
high
Target Milestone: ---
: ---
Assignee: Bryan Kearney
QA Contact: Katello QA List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-01 13:57 UTC by wes hayutin
Modified: 2018-12-10 15:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-12-10 15:37:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description wes hayutin 2010-07-01 13:57:03 UTC
[root@localhost proxy]# git show
commit ad775925ab8e7e7a531f62341db94d2f58014cb5

[root@localhost ~]# cd cp_product_utils/
[root@localhost cp_product_utils]# git show
commit 067a04b59d60f69e8cd5d6b9425830323fa8c528



Trust this certificate? [no]:  Certificate was added to keystore
Backing up current server.xml ...
Updating tomcat configuration in /etc/tomcat6...
done!
Starting tomcat6:                                          [  OK  ]
Initializing Candlepin...
/root/cp_product_utils/import_products.json
/usr/lib/ruby/gems/1.8/gems/rest-client-1.4.0/lib/restclient/abstract_response.rb:60:in `return!': Resource Not Found (RestClient::ResourceNotFound)
	from /usr/lib/ruby/gems/1.8/gems/rest-client-1.4.0/lib/restclient/request.rb:204:in `process_result'
	from /usr/lib/ruby/gems/1.8/gems/rest-client-1.4.0/lib/restclient/request.rb:153:in `transmit'
	from /usr/lib/ruby/1.8/net/http.rb:543:in `start'
	from /usr/lib/ruby/gems/1.8/gems/rest-client-1.4.0/lib/restclient/request.rb:150:in `transmit'
	from /usr/lib/ruby/gems/1.8/gems/rest-client-1.4.0/lib/restclient/request.rb:55:in `execute'
	from /usr/lib/ruby/gems/1.8/gems/rest-client-1.4.0/lib/restclient/request.rb:30:in `execute'
	from /usr/lib/ruby/gems/1.8/gems/rest-client-1.4.0/lib/restclient/resource.rb:54:in `get'
	from ../client/ruby/candlepin_api.rb:345:in `get'
	from ../client/ruby/candlepin_api.rb:66:in `get_owners'
	from buildconf/scripts/import_products.rb:30

Comment 1 Adrian Likins 2010-07-06 14:33:35 UTC
This seems to be working with current candlepin master 69eda2ba9568817dbe48ffc0f267ea2ec84675c4

Comment 2 wes hayutin 2010-07-07 13:07:07 UTC
build 19-1 and the head of master get the same error..


done!
Starting tomcat6:                                          [  OK  ]
Initializing Candlepin...
/root/cp_product_utils/import_products.json
/usr/lib/ruby/gems/1.8/gems/rest-client-1.4.0/lib/restclient/abstract_response.rb:60:in `return!': Resource Not Found (RestClient::ResourceNotFound)
	from /usr/lib/ruby/gems/1.8/gems/rest-client-1.4.0/lib/restclient/request.rb:204:in `process_result'
	from /usr/lib/ruby/gems/1.8/gems/rest-client-1.4.0/lib/restclient/request.rb:153:in `transmit'
	from /usr/lib/ruby/1.8/net/http.rb:543:in `start'
	from /usr/lib/ruby/gems/1.8/gems/rest-client-1.4.0/lib/restclient/request.rb:150:in `transmit'
	from /usr/lib/ruby/gems/1.8/gems/rest-client-1.4.0/lib/restclient/request.rb:55:in `execute'
	from /usr/lib/ruby/gems/1.8/gems/rest-client-1.4.0/lib/restclient/request.rb:30:in `execute'
	from /usr/lib/ruby/gems/1.8/gems/rest-client-1.4.0/lib/restclient/resource.rb:54:in `get'
	from ../client/ruby/candlepin_api.rb:353:in `get'
	from ../client/ruby/candlepin_api.rb:66:in `get_owners'
	from buildconf/scripts/import_products.rb:30
[root@localhost proxy]# 

When I switch to the 18-1 branch, everything builds and deploys just fine..
Has something changed w/ the setup?????

going to try again w/ clean logs.. will post my comments

Comment 3 wes hayutin 2010-07-07 13:20:34 UTC
[root@localhost candlepin]# git checkout 19-1
Switched to branch '19-1'
[root@localhost candlepin]# git show
commit 3ea3fb4bd3241113662278be889e9f789aa0523d

buildr clean package 

buildconf/scripts/deploy
<snip>
#3: ObjectId: 2.5.29.35 Criticality=false
AuthorityKeyIdentifier [
KeyIdentifier [
0000: 4A CA 90 52 6C 9D 28 C3   22 B1 DC 1D 29 E5 D2 65  J..Rl.(."...)..e
0010: BF EC B5 84                                        ....
]

]

Trust this certificate? [no]:  Certificate was added to keystore
Backing up current server.xml ...
Updating tomcat configuration in /etc/tomcat6...
done!
Starting tomcat6:                                          [  OK  ]
Initializing Candlepin...
/root/cp_product_utils/import_products.json
/usr/lib/ruby/gems/1.8/gems/rest-client-1.4.0/lib/restclient/abstract_response.rb:60:in `return!': Resource Not Found (RestClient::ResourceNotFound)
	from /usr/lib/ruby/gems/1.8/gems/rest-client-1.4.0/lib/restclient/request.rb:204:in `process_result'
	from /usr/lib/ruby/gems/1.8/gems/rest-client-1.4.0/lib/restclient/request.rb:153:in `transmit'
	from /usr/lib/ruby/1.8/net/http.rb:543:in `start'
	from /usr/lib/ruby/gems/1.8/gems/rest-client-1.4.0/lib/restclient/request.rb:150:in `transmit'
	from /usr/lib/ruby/gems/1.8/gems/rest-client-1.4.0/lib/restclient/request.rb:55:in `execute'
	from /usr/lib/ruby/gems/1.8/gems/rest-client-1.4.0/lib/restclient/request.rb:30:in `execute'
	from /usr/lib/ruby/gems/1.8/gems/rest-client-1.4.0/lib/restclient/resource.rb:54:in `get'
	from ../client/ruby/candlepin_api.rb:353:in `get'
	from ../client/ruby/candlepin_api.rb:66:in `get_owners'
	from buildconf/scripts/import_products.rb:30
[root@localhost proxy]# 

<snip>




<snippet catalina.out>
Jul 7, 2010 9:17:52 AM org.apache.catalina.loader.WebappClassLoader validateJarFile
INFO: validateJarFile(/usr/share/tomcat6/webapps/candlepin/WEB-INF/lib/servlet-api-2.5.jar) - jar not loaded. See Servlet Spec 2.3, section 9.7.2. Offending class: javax/servlet/Servlet.class
Jul 7, 2010 9:17:59 AM org.hornetq.core.logging.impl.JULLogDelegate info
<snippet catalina.out>

Comment 4 wes hayutin 2010-07-07 14:27:06 UTC
work around = rm -rf /var/lib/candlpein/hornetq

then rebuild.

Comment 5 John Sefler 2010-07-21 19:38:12 UTC
/root/cp_product_utils/import_products.json
/usr/lib/ruby/1.8/net/http.rb:560:in `initialize': Connection refused - connect(2) (Errno::ECONNREFUSED)
	from /usr/lib/ruby/1.8/net/http.rb:560:in `open'
	from /usr/lib/ruby/1.8/net/http.rb:560:in `connect'
	from /usr/lib/ruby/1.8/timeout.rb:53:in `timeout'
	from /usr/lib/ruby/1.8/timeout.rb:93:in `timeout'
	from /usr/lib/ruby/1.8/net/http.rb:560:in `connect'
	from /usr/lib/ruby/1.8/net/http.rb:553:in `do_start'
	from /usr/lib/ruby/1.8/net/http.rb:542:in `start'
	from /usr/lib/ruby/gems/1.8/gems/rest-client-1.4.0/lib/restclient/request.rb:150:in `transmit'
	from /usr/lib/ruby/gems/1.8/gems/rest-client-1.4.0/lib/restclient/request.rb:55:in `execute'
	from /usr/lib/ruby/gems/1.8/gems/rest-client-1.4.0/lib/restclient/request.rb:30:in `execute'
	from /usr/lib/ruby/gems/1.8/gems/rest-client-1.4.0/lib/restclient/resource.rb:54:in `get'
	from ../client/ruby/candlepin_api.rb:371:in `get'
	from ../client/ruby/candlepin_api.rb:67:in `get_owners'
	from buildconf/scripts/import_products.rb:30

Comment 6 John Sefler 2010-07-21 19:41:03 UTC
Jul 21, 2010 3:39:52 PM org.apache.catalina.startup.Catalina stopServer
SEVERE: Catalina.stop: 
java.net.ConnectException: Connection refused
        at java.net.PlainSocketImpl.socketConnect(Native Method)
        at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:310)
        at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:176)
        at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:163)
        at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:384)
        at java.net.Socket.connect(Socket.java:546)
        at java.net.Socket.connect(Socket.java:495)
        at java.net.Socket.<init>(Socket.java:392)
        at java.net.Socket.<init>(Socket.java:206)
        at org.apache.catalina.startup.Catalina.stopServer(Catalina.java:422)
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
        at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
        at java.lang.reflect.Method.invoke(Method.java:616)
        at org.apache.catalina.startup.Bootstrap.stopServer(Bootstrap.java:337)
        at org.apache.catalina.startup.Bootstrap.main(Bootstrap.java:415)

Comment 7 Bryan Kearney 2010-08-03 20:56:45 UTC
Current HEAD is building. If you are still seeing an error, lets debug as it is probably env.

HASH: 84ee4de233f2b185411c12ab5e495c28ff7e94fa

Comment 8 wes hayutin 2010-08-10 15:27:16 UTC
[root@localhost proxy]# git show
commit 8f9d398d62028055b658cccb4bc890e3c550fded
Merge: a142add 27b49de
Author: root <root@localhost.localdomain>
Date:   Tue Aug 10 09:17:01 2010 -0400

works.. verified

Comment 9 John Sefler 2011-05-04 14:40:54 UTC
Group move of VERIFIED Candlepin component bugs to RELEASE_PENDING

Comment 10 Bryan Kearney 2018-12-10 15:37:03 UTC
I am closing out some old bugs from 2015. So, closing these out as current release. If this is still an issue for me, please reach out.


Note You need to log in before you can comment on or make changes to this bug.